package com.dxhy.domestic.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;

/**
 * t_dx_dk_count
 *
 * @author dxhy
 */
@TableName("t_dx_dk_count")
public class TdxDkCount implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private Long id;
    /**
     * 税号
     */
    private String taxno;
    /**
     * 名称
     */
    private String taxname;
    /**
     * 所属期
     */
    private String skssq;
    /**
     * 是否申请0未发送，1已发送
     */
    private String applyStatus;
    /**
     * 申请结果(1-申请成功 2-已申请确认 3-已确认统计4-申请确认月份不符5-税号不存在6-未申请统计7-统计结果不符8-其他异常)
     */
    private String applyMsg;
    /**
     * 是否签名(0--未申请 1--申请中 2--申请成功 3--申请失败)
     */
    private String signStatus;
    /**
     * 统计时间
     */
    private String createDate;
    /**
     * 统计状态(0--未申请 1--申请中 2--申请成功 3--申请失败)
     */
    private String tjStatus;
    /**
     * 确认状态(0--未申请 1--申请中 2--申请成功 3--申请失败)
     */
    private String qsStatus;
    /**
     * 是否当前所属期
     */
    private String sfdqskssq;
    /**
     * 申请统计类型 0--申请 1--撤销
     */
    private String applyType;
    /**
     * 统计时间
     */
    private String tjDate;
    /**
     * 集团编码
     */
    private String company;
    /**
     * 撤销统计(0--未申请 1--申请中 2--申请成功 3--申请失败)
     */
    private String cxtjStatus;
    /**
     * 撤销确认(0--未申请 1--申请中 2--申请成功 3--申请失败)
     */
    private String cxqsStatus;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTaxno() {
        return taxno;
    }

    public void setTaxno(String taxno) {
        this.taxno = taxno;
    }

    public String getTaxname() {
        return taxname;
    }

    public void setTaxname(String taxname) {
        this.taxname = taxname;
    }

    public String getSkssq() {
        return skssq;
    }

    public void setSkssq(String skssq) {
        this.skssq = skssq;
    }

    public String getApplyStatus() {
        return applyStatus;
    }

    public void setApplyStatus(String applyStatus) {
        this.applyStatus = applyStatus;
    }

    public String getApplyMsg() {
        return applyMsg;
    }

    public void setApplyMsg(String applyMsg) {
        this.applyMsg = applyMsg;
    }

    public String getSignStatus() {
        return signStatus;
    }

    public void setSignStatus(String signStatus) {
        this.signStatus = signStatus;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getTjStatus() {
        return tjStatus;
    }

    public void setTjStatus(String tjStatus) {
        this.tjStatus = tjStatus;
    }

    public String getQsStatus() {
        return qsStatus;
    }

    public void setQsStatus(String qsStatus) {
        this.qsStatus = qsStatus;
    }

    public String getSfdqskssq() {
        return sfdqskssq;
    }

    public void setSfdqskssq(String sfdqskssq) {
        this.sfdqskssq = sfdqskssq;
    }

    public String getApplyType() {
        return applyType;
    }

    public void setApplyType(String applyType) {
        this.applyType = applyType;
    }

    public String getTjDate() {
        return tjDate;
    }

    public void setTjDate(String tjDate) {
        this.tjDate = tjDate;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getCxtjStatus() {
        return cxtjStatus;
    }

    public void setCxtjStatus(String cxtjStatus) {
        this.cxtjStatus = cxtjStatus;
    }

    public String getCxqsStatus() {
        return cxqsStatus;
    }

    public void setCxqsStatus(String cxqsStatus) {
        this.cxqsStatus = cxqsStatus;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        TdxDkCount other = (TdxDkCount)that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getTaxno() == null ? other.getTaxno() == null : this.getTaxno().equals(other.getTaxno()))
            && (this.getTaxname() == null ? other.getTaxname() == null : this.getTaxname().equals(other.getTaxname()))
            && (this.getSkssq() == null ? other.getSkssq() == null : this.getSkssq().equals(other.getSkssq()))
            && (this.getApplyStatus() == null ? other.getApplyStatus() == null
                : this.getApplyStatus().equals(other.getApplyStatus()))
            && (this.getApplyMsg() == null ? other.getApplyMsg() == null
                : this.getApplyMsg().equals(other.getApplyMsg()))
            && (this.getSignStatus() == null ? other.getSignStatus() == null
                : this.getSignStatus().equals(other.getSignStatus()))
            && (this.getCreateDate() == null ? other.getCreateDate() == null
                : this.getCreateDate().equals(other.getCreateDate()))
            && (this.getTjStatus() == null ? other.getTjStatus() == null
                : this.getTjStatus().equals(other.getTjStatus()))
            && (this.getQsStatus() == null ? other.getQsStatus() == null
                : this.getQsStatus().equals(other.getQsStatus()))
            && (this.getSfdqskssq() == null ? other.getSfdqskssq() == null
                : this.getSfdqskssq().equals(other.getSfdqskssq()))
            && (this.getApplyType() == null ? other.getApplyType() == null
                : this.getApplyType().equals(other.getApplyType()))
            && (this.getTjDate() == null ? other.getTjDate() == null : this.getTjDate().equals(other.getTjDate()))
            && (this.getCompany() == null ? other.getCompany() == null : this.getCompany().equals(other.getCompany()))
            && (this.getCxtjStatus() == null ? other.getCxtjStatus() == null
                : this.getCxtjStatus().equals(other.getCxtjStatus()))
            && (this.getCxqsStatus() == null ? other.getCxqsStatus() == null
                : this.getCxqsStatus().equals(other.getCxqsStatus()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getTaxno() == null) ? 0 : getTaxno().hashCode());
        result = prime * result + ((getTaxname() == null) ? 0 : getTaxname().hashCode());
        result = prime * result + ((getSkssq() == null) ? 0 : getSkssq().hashCode());
        result = prime * result + ((getApplyStatus() == null) ? 0 : getApplyStatus().hashCode());
        result = prime * result + ((getApplyMsg() == null) ? 0 : getApplyMsg().hashCode());
        result = prime * result + ((getSignStatus() == null) ? 0 : getSignStatus().hashCode());
        result = prime * result + ((getCreateDate() == null) ? 0 : getCreateDate().hashCode());
        result = prime * result + ((getTjStatus() == null) ? 0 : getTjStatus().hashCode());
        result = prime * result + ((getQsStatus() == null) ? 0 : getQsStatus().hashCode());
        result = prime * result + ((getSfdqskssq() == null) ? 0 : getSfdqskssq().hashCode());
        result = prime * result + ((getApplyType() == null) ? 0 : getApplyType().hashCode());
        result = prime * result + ((getTjDate() == null) ? 0 : getTjDate().hashCode());
        result = prime * result + ((getCompany() == null) ? 0 : getCompany().hashCode());
        result = prime * result + ((getCxtjStatus() == null) ? 0 : getCxtjStatus().hashCode());
        result = prime * result + ((getCxqsStatus() == null) ? 0 : getCxqsStatus().hashCode());
        return result;
    }

    @Override
    public String toString() {
        String sb = getClass().getSimpleName() + " [" + "Hash = " + hashCode() + ", id=" + id + ", taxno=" + taxno
            + ", taxname=" + taxname + ", skssq=" + skssq + ", applyStatus=" + applyStatus + ", applyMsg=" + applyMsg
            + ", signStatus=" + signStatus + ", createDate=" + createDate + ", tjStatus=" + tjStatus + ", qsStatus="
            + qsStatus + ", sfdqskssq=" + sfdqskssq + ", applyType=" + applyType + ", tjDate=" + tjDate + ", company="
            + company + ", cxtjStatus=" + cxtjStatus + ", cxqsStatus=" + cxqsStatus + ", serialVersionUID="
            + serialVersionUID + "]";
        return sb;
    }
}
